=== debian/changelog ===
mozilla-gnome-keyring (0.6.6-1) unstable; urgency=low

  * Fix FTBFS where the platform name contains a /. (Closes: #689189)
  * Fix Vcs-* entries in debian/contol to point to the correct branch.
    (Closes: #689165)
  * Build separate libraries against both xulrunner-dev and
    icedove-dev. (Closes: #690324)
  * Upload to unstable.

 -- Ximin Luo <infinity0@gmx.com>  Fri, 14 Dec 2012 01:05:01 +0000

mozilla-gnome-keyring (0.6.3-1) experimental; urgency=low

  * Initial release  (Closes: #659826).

 -- Ximin Luo <infinity0@gmx.com>  Tue, 05 Jun 2012 14:06:35 +0100
