=== debian/control ===
Source: mozilla-gnome-keyring
Section: web
Priority: optional
Maintainer: Ximin Luo <infinity0@gmx.com>
Build-Depends: cdbs,
               debhelper (>= 7),
               dpkg-dev (>= 1.16.1),
               icedove-dev (>= 10.0),
               libgnome-keyring-dev,
               mozilla-devscripts (>= 0.29),
               xulrunner-dev (>= 10.0)
Standards-Version: 3.9.3
Homepage: https://github.com/infinity0/mozilla-gnome-keyring
Vcs-Git: git://github.com/infinity0/mozilla-gnome-keyring.git -b debian
Vcs-Browser: https://github.com/infinity0/mozilla-gnome-keyring/tree/debian

Package: xul-ext-gnome-keyring
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Conflicts: iceape (<< 2.0), iceweasel (<< 3.0)
Description: Store mozilla passwords in GNOME Keyring.
 This extenion integrates gnome-keyring into xulrunner applications as the
 software security device.
