=== debian/rules ===
#!/usr/bin/make -f

# clean build from git (including .orig.tar.gz if non-existent):
# $ git-buildpackage --git-upstream-branch=master --git-debian-branch=debian --git-upstream-tree=branch

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk

export VERSION=$(DEB_UPSTREAM_VERSION)

# Use this when #688438 is fixed, and get rid of Makefile.combined
#MOZ_XPI_BUILD_COMMAND = make
#MOZ_XPI_CLEAN_COMMAND = make clean

MOZ_XPI_BUILD_COMMAND = make -C debian -f Makefile.combined all
MOZ_XPI_CLEAN_COMMAND = make -C debian -f Makefile.combined clean-all
