=== debian/changelog ===
mozilla-gnome-keyring (0.6.11-3) unstable; urgency=medium

  * Build for iceweasel 31 and icedove 31. (Closes: #757933)

 -- Ximin Luo <infinity0@pwned.gg>  Sat, 16 Aug 2014 12:01:35 +0100

mozilla-gnome-keyring (0.6.11-2) unstable; urgency=medium

  * Build for iceweasel 30 and icedove 30.
  * Update to new iceweasel-dev, was xulrunner-dev. (Closes: #752839)

 -- Ximin Luo <infinity0@pwned.gg>  Fri, 27 Jun 2014 17:24:41 +0100

mozilla-gnome-keyring (0.6.11-1) unstable; urgency=medium

  * New upstream release. (Closes: #749521)
  * Build for iceweasel 29 and icedove 30.

 -- Ximin Luo <infinity0@pwned.gg>  Sun, 01 Jun 2014 17:05:17 +0100

mozilla-gnome-keyring (0.6.9-6) unstable; urgency=low

  * Rebuild for iceweasel 24.2 and icedove 24.2.
  * Update to latest Standards-Version.

 -- Ximin Luo <infinity0@pwned.gg>  Tue, 21 Jan 2014 22:00:30 +0000

mozilla-gnome-keyring (0.6.9-5) unstable; urgency=low

  * Rebuild for iceweasel 24.2 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Thu, 19 Dec 2013 12:52:11 +0000

mozilla-gnome-keyring (0.6.9-4) unstable; urgency=low

  * Rebuild for iceweasel 24.1 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sat, 09 Nov 2013 18:04:50 +0000

mozilla-gnome-keyring (0.6.9-3) unstable; urgency=low

  * Rebuild for iceweasel 24 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Fri, 20 Sep 2013 12:46:44 +0100

mozilla-gnome-keyring (0.6.9-2) unstable; urgency=low

  * Rebuild for iceweasel 23 and icedove 17.
  * Upload to unstable.

 -- Ximin Luo <infinity0@gmx.com>  Fri, 30 Aug 2013 23:51:51 +0100

mozilla-gnome-keyring (0.6.9-1) experimental; urgency=low

  * New upstream release.
  * Rebuild for iceweasel 22 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sun, 28 Jul 2013 18:56:10 +0100

mozilla-gnome-keyring (0.6.8-1) experimental; urgency=low

  * New upstream release.
  * Rebuild for iceweasel 19 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sat, 23 Feb 2013 20:54:07 +0000

mozilla-gnome-keyring (0.6.7-1) experimental; urgency=low

  * New upstream release.
  * Rebuild for iceweasel 18 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sun, 20 Jan 2013 22:18:45 +0000

mozilla-gnome-keyring (0.6.6-2) experimental; urgency=low

  * Rebuild for iceweasel 17 and icedove 17.
  * Update to latest Standards-Version.

 -- Ximin Luo <infinity0@gmx.com>  Mon, 31 Dec 2012 14:42:31 +0000
