=== debian/control ===
Source: mozilla-gnome-keyring
Section: web
Priority: optional
Maintainer: Ximin Luo <infinity0@pwned.gg>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               icedove-dev (>= 31.0),
               libgnome-keyring-dev,
               mozilla-devscripts (>= 0.29),
               iceweasel-dev (>= 31.0)
Standards-Version: 3.9.5
Homepage: https://github.com/infinity0/mozilla-gnome-keyring
Vcs-Git: git://github.com/infinity0/mozilla-gnome-keyring.git -b debian
Vcs-Browser: https://github.com/infinity0/mozilla-gnome-keyring/tree/debian

Package: xul-ext-gnome-keyring
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: Store mozilla passwords in GNOME Keyring
 This extension integrates gnome-keyring into xulrunner applications as the
 software security device.
 .
 This replaces the default password manager in Firefox and Thunderbird
 with an implementation which uses GNOME Keyring. This is a centralised
 system-based password manager, which is more simple to handle than
 per-application management.
