=== debian/rules ===
#!/usr/bin/make -f

# clean build from git (including .orig.tar.gz if non-existent):
gbp:
	gbp buildpackage --git-upstream-branch=master --git-upstream-tree=branch --git-debian-branch=debian \
	  --git-pbuilder '-I.*' '-i.git\|.cproject\|.project\|.settings'
.PHONY: gbp

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	make -C debian -f Makefile.combined all

override_dh_auto_clean:
	make -C debian -f Makefile.combined clean-all

# temporary measure until #750100 is fixed
override_dh_gencontrol:
	sed -i -e '/^xpi:\(Depends\|Breaks\)/s/)/~)/g' debian/xul-ext-gnome-keyring.substvars
	dh_gencontrol
