=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?(\d[\d\.]*)\.tar\.gz/mozilla-gnome-keyring-$1.tar.gz/" \
 https://github.com/infinity0/mozilla-gnome-keyring/tags (?:.*/)?(\d[\d\.]*)\.tar\.gz
