## mozilla-gnome-keyring 0.10

=== debian/changelog ===
mozilla-gnome-keyring (0.10-1~deb8u1) jessie; urgency=medium

  * New upstream release. (Closes: #797040)

 -- Ximin Luo <infinity0@debian.org>  Thu, 02 Jul 2015 03:49:43 +0200
