=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: mozilla-gnome-keyring
 Section: web
 Priority: optional
-Maintainer: Ximin Luo <infinity0@pwned.gg>
+Maintainer: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               icedove-dev (>= 31.0),
-               libgnome-keyring-dev,
                mozilla-devscripts (>= 0.29),
-               iceweasel-dev (>= 31.0)
-Standards-Version: 3.9.5
-Homepage: https://github.com/infinity0/mozilla-gnome-keyring
+Standards-Version: 3.9.6
+Homepage: https://github.com/swick/mozilla-gnome-keyring
 Vcs-Git: git://github.com/infinity0/mozilla-gnome-keyring.git -b debian
 Vcs-Browser: https://github.com/infinity0/mozilla-gnome-keyring/tree/debian
 
 Package: xul-ext-gnome-keyring
-Architecture: any
+Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}, libgnome-keyring0
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
