=== debian/rules ===
#!/usr/bin/make -f

# clean build from git (including .orig.tar.gz if non-existent):
gbp:
	gbp buildpackage --git-upstream-branch=master --git-upstream-tree=branch --git-debian-branch=debian --git-pbuilder
.PHONY: gbp

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	TZ=UTC dh_auto_build

override_dh_auto_install:
	install-xpi bin/gnome-keyring-integration.xpi
