=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/mozilla-gnome-keyring-$1.tar.gz/,uversionmangle=s/^v?//" \
 https://github.com/swick/mozilla-gnome-keyring/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
