=== debian/changelog ===
mozilla-gnome-keyring (0.12-1) unstable; urgency=medium

  * New upstream release. (Closes: #838546)

 -- Ximin Luo <infinity0@debian.org>  Sun, 25 Sep 2016 13:03:19 +0200

mozilla-gnome-keyring (0.11+git4-3) unstable; urgency=medium

  * Set maxVersion to 999. (Closes: #838746)

 -- Ximin Luo <infinity0@debian.org>  Sat, 24 Sep 2016 11:29:52 +0200

mozilla-gnome-keyring (0.11+git4-2) unstable; urgency=medium

  * Remove maxVersion constraint. (Closes: #838546)

 -- Ximin Luo <infinity0@debian.org>  Thu, 22 Sep 2016 13:34:26 +0200

mozilla-gnome-keyring (0.11+git4-1) unstable; urgency=medium

  * New upstream release and commits.

 -- Ximin Luo <infinity0@debian.org>  Sun, 18 Sep 2016 14:57:48 +0200

mozilla-gnome-keyring (0.10-2) unstable; urgency=medium

  * Rebuild against new mozilla-devscripts. (Closes: #819508)
  * moz-sec-get.sh: Correctly handle passwords with a backslash.
  * Update to latest Standards-Version. No changes required.
  * Use HTTPS links in Vcs-* fields.

 -- Ximin Luo <infinity0@debian.org>  Thu, 12 May 2016 19:24:33 +0200

mozilla-gnome-keyring (0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 02 Jul 2015 03:49:43 +0200
